Library Version 18.1.40

operator=
Prev | Chapter 24. ElementRef | Next

## operator=

### Function Details

    const ddt& operator=(const ddt &dt2)

Assignment Operator.

#### Parameters

##### dt2

The data value to assign with.

#### Return Value

The object dt2's reference.

    const self& operator=(const self &me)

Assignment Operator.

#### Parameters

##### me

The object to assign with.

#### Return Value

The object me's reference.

### Group: Assignment operators.

The assignment operators are used to store right-values into the wrapped object, and also to store values into an underlying container.

### Class

ElementRef

Prev | Up | Next
ElementRef | Home | _DB_STL_StoreElement